package com.viettel.campaign.service;

import com.viettel.campaign.model.ccms_full.Scenario;
import com.viettel.campaign.web.dto.*;

import java.util.List;

/**
 * @author anhvd_itsol
 */

public interface ScenarioService {
    Scenario findScenarioByCampaignIdAndCompanySiteId(Long campaignId, Long companySiteId);

    ResultDTO update(ScenarioDTO scenario);

    ResultDTO sortQuestionAndAnswer(ScenarioDTO scenarioDTO);

    Integer countDuplicateScenarioCode(Long companySiteId, String code, Long scenarioId);

    ResultDTO saveContacQuestResult(ContactQuestResultDTO dto);
}
